# $Revision: 1.16 $, $Date: 2012/03/28 07:25:42 $
Summary:	Software version control visualization
Summary(pl.UTF-8):	Narzędzie wizualizujące kontrolę wersji
Name:		gource
Version:	0.37
Release:	2
License:	GPL v3+
Source0:	http://gource.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	9c023429a8a495e6473d4c166788278a
URL:		http://gource.googlecode.com/
Group:		X11/Applications
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	freetype-devel
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	glew-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	fonts-TTF-freefont
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Software projects are displayed by Gource as an animated tree with the
root directory of the project at its centre. Directories appear as
branches with files as leaves. Developers can be seen working on the
tree at the times they contributed to the project.

Currently there is first party support for Git and Mercurial, and
third party (using additional steps) for CVS and SVN.

%description -l pl.UTF-8
Gource wyświetla projekty software'owe jako animowane drzewo z
katalogiem głównym projektu w centrum. Podkatalogi przedstawione są w
postaci gałęzi, a pliki to liście. Developerzy widoczni są przy pracy
nad drzewem w czasie gdy rzeczywiście pracowali.

Na chwilę obecną Gource natywnie wspiera repozytoria Git i Mercurial.
Przy pomocy zewnętrznych narzędzi można również oglądać repozytoria
CVS i SVN.

%prep
%setup -q

%build
%configure \
	--with-tinyxml \
	--enable-ttf-font-dir=%{_datadir}/fonts/TTF
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/gource
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.tga
%{_datadir}/%{name}/*.style
%{_datadir}/%{name}/shaders
%{_mandir}/man1/gource.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gource.spec,v $
Revision 1.16  2012/03/28 07:25:42  arekm
- release 2

Revision 1.15  2012/01/05 22:23:14  blues
- 0.37

Revision 1.14  2011/11/17 19:53:28  arekm
- release 2

Revision 1.13  2011/08/31 18:44:44  charles
- updated to 0.35

Revision 1.12  2011/08/31 09:15:00  arekm
- release 2

Revision 1.11  2011/04/14 17:16:23  dirdival
- updated to 0.32

Revision 1.10  2011/02/19 22:00:27  sparky
- dropped BR: gawk (false positive generated by cleanbuild)

Revision 1.9  2011/02/19 19:52:25  glen
- BR: gawk, glew-devel

Revision 1.8  2011/02/19 19:39:29  glen
- up to 0.31

Revision 1.7  2011/02/19 19:36:10  glen
- use configure arg for system ttf font dir

Revision 1.6  2011/02/19 19:34:57  glen
- use system font package (old change)

Revision 1.5  2010/02/22 23:38:01  pawelz
- reverted part of cosmetics

Revision 1.4  2010/02/22 23:12:05  wolf
- cosmetics

Revision 1.3  2010/02/22 10:07:40  pawelz
- up to 0.24

Revision 1.2  2010/01/14 12:20:54  sparky
- BR: pkgconfig

Revision 1.1  2010/01/14 11:03:57  glen
- new, based on http://people.redhat.com/spoyarek/gource/gource.spec
